#
# spec file for package ghc-yesod-persistent
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name yesod-persistent
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.4.2
Release:        lp150.1.9
Summary:        Some helpers for using Persistent from Yesod
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-conduit-devel
BuildRequires:  ghc-persistent-devel
BuildRequires:  ghc-persistent-template-devel
BuildRequires:  ghc-resource-pool-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-yesod-core-devel
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-persistent-sqlite-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-wai-extra-devel
%endif

%description
API docs and the README are available at
<http://www.stackage.org/package/yesod-persistent>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 1.4.2 revision 1 with cabal2obs.
* Tue Mar  7 2017 psimons@suse.com
- Update to version 1.4.2 with cabal2obs.
* Sun Jan  8 2017 psimons@suse.com
- Update to version 1.4.1.1 with cabal2obs.
* Mon Dec 19 2016 psimons@suse.com
- Update to version 1.4.1.0 with cabal2obs.
* Sun Aug 21 2016 psimons@suse.com
- Update to version 1.4.0.6 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.0.5 revision 0 with cabal2obs.
* Tue Apr 26 2016 mimi.vx@gmail.com
- update to 1.4.0.5
* Thu Mar 31 2016 mimi.vx@gmail.com
- update to 1.4.0.4
* Mon Feb 22 2016 psimons@suse.com
- initial version yesod-persistent-1.4.0.3
